## calligra 3.0.0.1

=== debian/changelog ===
calligra (1:3.0.0.1-0ubuntu2) zesty; urgency=medium

  * Don't install vc-dev on powerpc and s390x

 -- Clive Johnston <clivejo@kubuntu.org>  Sat, 04 Feb 2017 20:14:57 +0000

calligra (1:3.0.0.1-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Porting packaging to KF5
  * Removing krita as its now been split from calligra

  [ Rik Mills ]
  * Update install files and rules

  [ Clive Johnston ]
  * New upstream release (3.0.0.1)
  * Merged with KDE Neon as we were packaging the development edition by
    mistake, which was building lots of development files not needed for
    the release edition.

 -- Clive Johnston <clivejo@kubuntu.org>  Sat, 04 Feb 2017 16:14:30 +0000

calligra (1:2.9.11+dfsg-4ubuntu4) zesty; urgency=medium

  * Some missing parenthesis

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Jan 2017 22:41:41 +0100

calligra (1:2.9.11+dfsg-4ubuntu3) zesty; urgency=medium

  * Add one more missing comma

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Jan 2017 16:05:40 -0500

calligra (1:2.9.11+dfsg-4ubuntu2) zesty; urgency=medium

  * Fix typo in previous upload.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Jan 2017 21:45:19 +0100

calligra (1:2.9.11+dfsg-4ubuntu1) zesty; urgency=medium

  * Add lots of Breaks/Replaces to handle files being shipped
    by different packages now. These can be dropped after 18.04 LTS.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Jan 2017 14:18:52 -0500

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
           Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kross-dev,
               libboost-dev,
               libboost-system-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgsl-dev,
               libicu-dev,
               libjpeg-dev,
               libkchart-dev,
               libkf5activities-dev,
               libkf5akonadi-dev,
               libkf5akonadicontact-dev,
               libkf5calendarcore-dev,
               libkf5contacts-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kdelibs4support-dev,
               libkf5kio-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5sonnet-dev,
               libkf5texteditor-dev,
               libkf5textwidgets-dev,
               libkf5threadweaver-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               liblcms2-dev (>= 2.4),
               libmarble-dev,
               libodfgen-dev,
               libopenexr-dev,
               libphononexperimental-dev,
               libpng-dev,
               libpoppler-qt5-dev,
               libqca-qt5-2-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libspnav-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               libxbase64-dev,
               libxml2-dev,
               okular-dev,
               pkg-config,
               pkg-kde-tools,
               pstoedit,
               qtdeclarative5-dev,
               shared-mime-info,
               vc-dev [!arm64 !armhf !ppc64el !powerpc !s390x],
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.calligra-suite.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calligra
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git

Package: calligra
Architecture: all
Depends: calligrasheets (>= ${source:Version}),
         calligrastage (>= ${source:Version}),
         calligrawords (>= ${source:Version}),
         karbon (>= ${source:Version}),
         ${misc:Depends}
Homepage: http://www.calligra-suite.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Breaks: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Replaces: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Homepage: http://www.calligra-suite.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: calligrasheets
Architecture: any
Section: math
Replaces: calligra-data (<< 1:2.9.0-0ubuntu6),
          calligra-libs (<< 1:2.9.0-0ubuntu6),
          koffice-data (<< 1:2.4),
          kspread (<< 1:2.4)
Breaks: calligra-data (<< 1:2.9.0-0ubuntu6),
        calligra-libs (<< 1:2.9.0-0ubuntu6),
        koffice-data (<< 1:2.4),
        kspread (<< 1:2.4)
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Homepage: http://www.calligra.org/sheets/
Description: spreadsheet for the Calligra Suite
 Tables is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics. It is the successor of KSpread.
 .
 This package is part of the Calligra Suite.

Package: calligrawords
Architecture: any
Section: text
Replaces: kword (<< 1:2.4)
Breaks: kword (<< 1:2.4)
Depends: calligra-libs (= ${binary:Version}),
         calligrawords-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Recommends: okular-backend-odt
Homepage: http://www.calligra.org/words/
Description: word processor for the Calligra Suite
 Words is a FrameMaker-like word processing and desktop publishing
 application. It is capable of creating polished and professional
 looking documents. It can be used for desktop publishing, but also for
 "normal" word processing, like writing letters, reports and so on.
 .
 This package is part of the Calligra Suite.

Package: calligrawords-data
Architecture: all
Section: text
Depends: ${misc:Depends}
Conflicts: koffice-data
Breaks: calligra-data (<< 1:2.4.3-2), calligrawords-common (<< 1:2.8.5~)
Replaces: calligra-data (<< 1:2.4.3-2),
          calligrawords-common (<< 1:2.8.5~),
          koffice-data
Homepage: http://www.calligra.org/words/
Description: data files for Words word processor
 This package contains architecture-independent data files for Words,
 the word processor shipped with the Calligra Suite.
 .
 See the calligrawords package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrastage
Architecture: any
Replaces: calligra-data (<< 1:2.4.3-2),
          koffice-data (<< 1:2.4),
          kpresenter (<< 1:2.4)
Breaks: calligra-data (<< 1:2.4.3-2),
        koffice-data (<< 1:2.4),
        kpresenter (<< 1:2.4)
Depends: calligra-libs (= ${binary:Version}),
         calligrastage-data (>=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Recommends: okular-backend-odp
Homepage: http://www.calligra.org/stage/
Description: presentation program for the Calligra Suite
 Stage is an easy to use yet still flexible presentation application.
 You can easily create presentations containing a rich variety of
 elements, from  graphics to text, from charts to images. Stage is
 extensible through a  plugin system, so it is easy to add new
 effects, new content elements or even  new ways of managing your
 presentation.
 .
 Stage natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications, which includes
 Microsoft Office. Examples of its easy-to-use features are support
 for layouts, a special slide overview view during presentations for
 the presenter, support for many different master sliders in one
 presentation, cool transitions and a useful notes feature.
 .
 This package is part of the Calligra Suite.
 .
 As Calligra Stage is unmaintained this package contains only the
 kpart component.

Package: calligrastage-data
Architecture: all
Depends: ${misc:Depends}
Breaks: calligrastage (<< 1:2.6.3-1~)
Replaces: calligrastage (<< 1:2.6.3-1~)
Description: data files for Calligra Stage
 This package contains architecture-independent data files for Stage,
 the presentation program shipped with the Calligra Suite.
 .
 See the calligrastage package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligra-libs
Section: libs
Architecture: any
Replaces: kexi (<< 1:2.6.1), kformula, koffice-libs
Conflicts: calligrasheets (<< 1:2.9.0-0ubuntu2~), kformula, koffice-libs
Breaks: calligrasheets (<< 1:2.9.0-0ubuntu2~), kexi (<< 1:2.6.1)
Depends: calligra-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lyx, libqca2-plugin-ossl, python, ruby
Suggests: texlive, wordnet
Description: common libraries and binaries for the Calligra Suite
 This package provides the libraries and binaries that are shared amongst
 the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: calligra-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Replaces: calligra-l10n-bs,
          calligra-l10n-ca,
          calligra-l10n-cavalencia,
          calligra-l10n-cs,
          calligra-l10n-da,
          calligra-l10n-de,
          calligra-l10n-el,
          calligra-l10n-engb,
          calligra-l10n-es,
          calligra-l10n-et,
          calligra-l10n-fi,
          calligra-l10n-fr,
          calligra-l10n-gl,
          calligra-l10n-hu,
          calligra-l10n-it,
          calligra-l10n-ja,
          calligra-l10n-kk,
          calligra-l10n-nb,
          calligra-l10n-nl,
          calligra-l10n-pl,
          calligra-l10n-pt,
          calligra-l10n-ptbr,
          calligra-l10n-ru,
          calligra-l10n-sk,
          calligra-l10n-sv,
          calligra-l10n-tr,
          calligra-l10n-uk,
          calligra-l10n-zhcn,
          calligra-l10n-zhtw,
          calligraplan (<< 1:2.8.90),
          kexi (<< 1:2.6.92-0ubuntu4),
          kformula,
          koffice-data,
          krita-data (<< 1:2.6.4-0ubuntu1)
Conflicts: kformula, koffice-data
Breaks: calligra-l10n-bs,
        calligra-l10n-ca,
        calligra-l10n-cavalencia,
        calligra-l10n-cs,
        calligra-l10n-da,
        calligra-l10n-de,
        calligra-l10n-el,
        calligra-l10n-engb,
        calligra-l10n-es,
        calligra-l10n-et,
        calligra-l10n-fi,
        calligra-l10n-fr,
        calligra-l10n-gl,
        calligra-l10n-hu,
        calligra-l10n-it,
        calligra-l10n-ja,
        calligra-l10n-kk,
        calligra-l10n-nb,
        calligra-l10n-nl,
        calligra-l10n-pl,
        calligra-l10n-pt,
        calligra-l10n-ptbr,
        calligra-l10n-ru,
        calligra-l10n-sk,
        calligra-l10n-sv,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with kde

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_BUILD_TYPE=Release -DBUILD_KF5=ON

override_dh_auto_install:
	dh_auto_install
	# Remove development stuff:
	# - symlinks of libraries
	find debian/tmp/usr/lib -name '*.so' -type l -print -delete
	# Remove mimetypes already provided by shared-mime-info
	rm -f debian/tmp/usr/share/mime/packages/msooxml-all.xml
	rm -f debian/tmp/usr/share/mime/packages/x-iwork-keynote-sffkey.xml

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='calligra-dbg (<< 1:2.9.11)'

.PHONY: override_dh_auto_test

## calligra 3.0.1

=== components/CMakeLists.txt ===
project(calligracomponentsplugin)

# TEMPORARY: for  Qt5/KF5 build porting phase deprecation warnings are only annoying noise
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
    add_definitions(-Wno-deprecated -Wno-deprecated-declarations)
endif ()

set(components_SRCS
    CalligraComponentsPlugin.cpp
    Document.cpp
    Enums.cpp
    Global.cpp
    ImageDataItem.cpp
    LinkArea.cpp
    View.cpp
    ViewController.cpp

    models/ContentsModel.cpp
    models/PresentationContentsModelImpl.cpp
    models/SpreadsheetContentsModelImpl.cpp
    models/TextContentsModelImpl.cpp

    impl/DocumentImpl.cpp
    impl/TextDocumentImpl.cpp
    impl/SpreadsheetImpl.cpp
    impl/PresentationImpl.cpp
    impl/PresentationKoPAView.cpp
    impl/ComponentsKoCanvasController.cpp
)

add_library(CalligraComponentsPlugin SHARED ${components_SRCS})
target_include_directories(CalligraComponentsPlugin
    PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
)
target_link_libraries( CalligraComponentsPlugin
    Qt5::Core
    Qt5::Gui
    Qt5::Qml
    Qt5::Quick
    wordsprivate
    calligrasheetscommon
    calligrastageprivate
    kotextlayout
    koplugin
)

install(TARGETS CalligraComponentsPlugin DESTINATION ${QML_INSTALL_DIR}/org/kde/calligra)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/calligra)

=== devtools/CMakeLists.txt ===
if(SHOULD_BUILD_APP_CSTESTER)
    add_subdirectory( cstester )
endif()

if (SHOULD_BUILD_APP_SLIDECOMPARE)
    add_subdirectory(slidecompare)
endif()

if (SHOULD_BUILD_APP_DEVTOOLS)
    add_subdirectory(scripts)
endif ()

if (SHOULD_BUILD_BUILDTOOL_RNG2CPP)
    add_subdirectory(rng2cpp)
endif ()

=== extras/CMakeLists.txt ===
if(SHOULD_BUILD_APP_CALLIGRA)
  add_subdirectory( calligra )
endif()

if (SHOULD_BUILD_APP_CONVERTER)
    add_subdirectory( converter )
endif()

if (SHOULD_BUILD_FILEMANAGER_PROPERTIES)
    add_subdirectory( properties )
endif()

if (SHOULD_BUILD_FILEMANAGER_THUMBNAIL)
    add_subdirectory( thumbnail )
endif()

if (SHOULD_BUILD_FILEMANAGER_QUICKPRINT)
    add_subdirectory( quickprint )
endif()

if(SHOULD_BUILD_FILEMANAGER_TEMPLATES)
    add_subdirectory( filemanagertemplates )
endif()

if(SHOULD_BUILD_OKULAR_GENERATOR_ODP)
    add_subdirectory( okularodpgenerator )
endif()

if(SHOULD_BUILD_OKULAR_GENERATOR_ODT)
    add_subdirectory( okularodtgenerator )
endif()

=== flow/CMakeLists.txt ===
project(flow)

add_definitions(-DTRANSLATION_DOMAIN=\"flow\")

include_directories(
    ${KOMAIN_INCLUDES}
)

add_subdirectory(part)
add_subdirectory(plugins)
add_subdirectory(stencils)
add_subdirectory(templates)
add_subdirectory(pics)


########### install files ###############

install( FILES
    flow_dock.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== gemini/CMakeLists.txt ===
project(calligragemini)

# TEMPORARY: for  Qt5/KF5 build porting phase deprecation warnings are only annoying noise
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
    add_definitions(-Wno-deprecated -Wno-deprecated-declarations)
endif ()

if (WIN32)
    option(ENABLE_GEMINI_STARTUP_MAGIC "Enable Gemini's windows startup magic" ON)

    if (ENABLE_GEMINI_STARTUP_MAGIC)
        add_definitions(-DGEMINI_ENABLE_STARTUP_MAGIC)
    endif ()
endif ()

include_directories(${KOMAIN_INCLUDES}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/..
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_SOURCE_DIR}/libs/pageapp
                    ${CMAKE_SOURCE_DIR}/stage
                    ${CMAKE_SOURCE_DIR}/stage/part
                    ${CMAKE_SOURCE_DIR}/words
                    ${CMAKE_SOURCE_DIR}/words/part)

set(calligragemini_SRCS
    main.cpp
    MainWindow.cpp
    desktopviewproxy.cpp
    Constants.cpp
    DocumentListModel.cpp
    DocumentManager.cpp
    ProgressProxy.cpp
    QmlGlobalEngine.cpp
    RecentFileManager.cpp
    Settings.cpp
    SimpleTouchArea.cpp
#     TouchDeclarativeView.cpp
    PropertyContainer.cpp
    Theme.cpp
    ToolManager.cpp
    ParagraphStylesModel.cpp
    KeyboardModel.cpp
    ScribbleArea.cpp
    RecentImageImageProvider.cpp
    RecentFilesModel.cpp
    TemplatesModel.cpp
    TemplateVariantsModel.cpp
    CloudAccountsModel.cpp
)

set(thumbnailhelper_SRCS
    thumbnailhelper.cpp
    ThumbnailHelperImpl.cpp
)

if (WIN32)
    set(calligragemini_SRCS ${calligragemini_SRCS} calligrageminiwin.rc)
else ()
    file(GLOB ICONS_SRCS "pics/*-apps-calligragemini.png")
    ecm_add_app_icon(calligragemini_SRCS ICONS ${ICONS_SRCS})
endif ()

# Thumbnail helper application
# =============================================================================

add_executable(calligrageminithumbnailhelper ${thumbnailhelper_SRCS})
target_link_libraries(calligrageminithumbnailhelper
    komain
    KF5::Crash # needed to explicitely disable drkonqi if any plugin links to kdelibs4support
)

# Calligra Gemini application
# =============================================================================

add_executable(calligragemini ${calligragemini_SRCS})

target_link_libraries(calligragemini
    Qt5::Quick
    Qt5::Qml
    Qt5::Gui
    Qt5::Core
    KF5::IconThemes
    komain
    wordsprivate
    calligrastageprivate
)

install(TARGETS   calligragemini calligrageminithumbnailhelper ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS  calligragemini.desktop               DESTINATION ${XDG_APPS_INSTALL_DIR})
#install(FILES     calligrageminirc calligrageminipanelsrc DESTINATION ${CONFIG_INSTALL_DIR} )
install(FILES     calligragemini.qml                   DESTINATION ${DATA_INSTALL_DIR}/calligragemini)
#install(FILES     calligragemini.rc                    DESTINATION ${DATA_INSTALL_DIR}/calligragemini)
install(DIRECTORY qml                                       DESTINATION ${DATA_INSTALL_DIR}/calligragemini)
install(DIRECTORY themes                                    DESTINATION ${DATA_INSTALL_DIR}/calligragemini)
if(APPLE)
   install( FILES ${CMAKE_CURRENT_BINARY_DIR}/calligragemini_SRCS.icns DESTINATION ${BUNDLE_INSTALL_DIR}/calligragemini.app/Contents/Resources)
endif()

add_subdirectory(pics)
add_subdirectory(cloud)

=== karbon/CMakeLists.txt ===
project(karbon)

#Set the correct compiler options
if(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 32 bit
   message(STATUS "Karbon detected that you use a 32 bit processor.")
else()
   # 64 bit (well, anything else than 32 bit, but someone use something else than 32 or 64 bit ?)
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
   message(STATUS "Karbon detected that you use a 64 bit processor. Added -fPIC to the CXX_FLAGS.")
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"karbon\")

include_directories(
    ${FLAKE_INCLUDES}
    ${KOTEXT_INCLUDES}
    ${KOMAIN_INCLUDES}
    ${CMAKE_SOURCE_DIR}/karbon/ui
    ${CMAKE_SOURCE_DIR}/karbon/common
    ${CMAKE_SOURCE_DIR}/karbon/common/commands
)

add_subdirectory( common )
add_subdirectory( ui )
add_subdirectory( plugins )
add_subdirectory( stencils )
add_subdirectory( data )
add_subdirectory( templates )

########### next target ###############

set(karbonpart_PART_SRCS KarbonFactoryInit.cpp )

add_library(karbonpart MODULE ${karbonpart_PART_SRCS})
calligra_part_desktop_to_json(karbonpart "${CMAKE_CURRENT_SOURCE_DIR}/data/karbonpart.desktop")

target_link_libraries(karbonpart karbonui)

install(TARGETS karbonpart  DESTINATION ${PLUGIN_INSTALL_DIR}/calligra/parts)

########### next target ###############

if(NOT RELEASE_BUILD)
    add_definitions(-DMAINTANER_WANTED_SPLASH)
endif()

set(karbon_KDEINIT_SRCS main.cpp )

file(GLOB karbon_icons "${CMAKE_CURRENT_SOURCE_DIR}/pics/action/*-actions-*.png")
ecm_install_icons(ICONS ${karbon_icons} DESTINATION ${DATA_INSTALL_DIR}/karbon/icons)

file(GLOB karbon_app_icons "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/*-apps-calligrakarbon.png")
ecm_add_app_icon(karbon_KDEINIT_SRCS ICONS ${karbon_app_icons})
ecm_install_icons(ICONS
    ${karbon_app_icons}
    "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/sc-apps-calligrakarbon.svgz"
    DESTINATION ${ICON_INSTALL_DIR}
)

kf5_add_kdeinit_executable( karbon ${karbon_KDEINIT_SRCS})

if (APPLE)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.calligra.karbon")
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Karbon")
   install( FILES ${CMAKE_CURRENT_BINARY_DIR}/karbon_KDEINIT_SRCS.icns DESTINATION ${BUNDLE_INSTALL_DIR}/karbon.app/Contents/Resources)
endif()

target_link_libraries(kdeinit_karbon karbonui)

install(TARGETS kdeinit_karbon  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(karbon kdeinit_karbon)
install(TARGETS karbon  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plan/CMakeLists.txt ===

project(kplato)

# set kplato debug area
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=42000 )

if (KF5AkonadiContact_FOUND)
    # disable for now: there is a bug
    # it only works if you use kde contacts (of course) but many use other stuff, so gets dissapointed
    # add_definitions(-DPLAN_KDEPIMLIBS_FOUND)
    message(WARNING "AkonadiContacs available, but funtion is disabled due to Bug 311940")
endif ()

if (PLANCHARTDEBUG)
    add_definitions(-DPLAN_CHART_DEBUG)
endif ()

set( KPLATO_INCLUDES
    ${CMAKE_SOURCE_DIR}/plan/libs/kernel
    ${CMAKE_BINARY_DIR}/plan/libs/kernel
    ${CMAKE_SOURCE_DIR}/plan/libs/models
    ${CMAKE_BINARY_DIR}/plan/libs/models
    ${CMAKE_SOURCE_DIR}/plan/libs/ui
    ${CMAKE_BINARY_DIR}/plan/libs/ui
    ${CMAKE_BINARY_DIR}/plan

    ${KOMAIN_INCLUDES}
)

add_subdirectory( libs )

add_subdirectory( templates )
add_subdirectory( pics )
add_subdirectory( toolbar )
add_subdirectory( plugins )
add_subdirectory( tests )

add_subdirectory( workpackage )

include_directories(${KPLATO_INCLUDES})

add_definitions(-DTRANSLATION_DOMAIN=\"calligraplan\")

########### KPlato private library ###############

set(planprivate_LIB_SRCS
    kptviewlistdocker.cpp
    kptviewlist.cpp
    kptviewlistdialog.cpp

    kptschedulesdocker.cpp

    kptconfig.cpp
    kpttaskdefaultpanel.cpp
    kptworkpackageconfigpanel.cpp
    kptcolorsconfigpanel.cpp

    kptcontext.cpp

    kptfactory.cpp
    kptpart.cpp
    kptmaindocument.cpp
    kptview.cpp
#     KPtViewAdaptor.cpp
    kptprintingcontrolprivate.cpp

    kptschedulerpluginloader.cpp
    kptbuiltinschedulerplugin.cpp
    kptconfigskeleton.cpp

    kptinsertfiledlg.cpp

    about/aboutpage.cpp

    KPlatoXmlLoader.cpp
)

ki18n_wrap_ui(planprivate_LIB_SRCS
    kptviewlistaddview.ui
    kptviewlisteditview.ui
    kptviewlisteditcategory.ui

    kptconfigtaskpanelbase.ui
    kptworkpackageconfigpanel.ui
    kptcolorsconfigpanel.ui

    kptinsertfilepanel.ui
)

kconfig_add_kcfg_files(plansettings_SRCS calligraplansettings.kcfgc)

add_library(planprivate SHARED ${planprivate_LIB_SRCS} ${plansettings_SRCS} )
generate_export_header(planprivate BASE_NAME kplato)

target_link_libraries(planprivate
    PUBLIC
        kplatokernel
        kplatomodels
        kplatoui
        komain
    PRIVATE
        koplugin
        KF5::IconThemes
        #KF5::KHtml
)
if(KF5AkonadiContact_FOUND)
    target_link_libraries(planprivate  PRIVATE KF5::AkonadiContact)
endif()
set_target_properties(planprivate PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )

install(TARGETS planprivate ${INSTALL_TARGETS_DEFAULT_ARGS})

########### KPlato part ###############

set(planpart_PART_SRCS kptfactoryinit.cpp )

add_library(calligraplanpart MODULE ${planpart_PART_SRCS})

calligra_part_desktop_to_json(calligraplanpart planpart.desktop)

target_link_libraries(calligraplanpart KF5::Parts planprivate)

install(TARGETS calligraplanpart DESTINATION ${PLUGIN_INSTALL_DIR}/calligra/parts)


########### KPlato executable ###############

if(NOT RELEASE_BUILD)
    add_definitions(-DMAINTANER_WANTED_SPLASH)
endif()

set(calligraplan_KDEINIT_SRCS main.cpp )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/*-apps-calligraplan.png")
ecm_add_app_icon(calligraplan_KDEINIT_SRCS ICONS ${ICONS_SRCS})

kf5_add_kdeinit_executable( calligraplan ${calligraplan_KDEINIT_SRCS})

if (APPLE)
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.calligra.plan")
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Plan")
   install( FILES ${CMAKE_CURRENT_BINARY_DIR}/calligraplan_KDEINIT_SRCS.icns DESTINATION ${BUNDLE_INSTALL_DIR}/calligraplan.app/Contents/Resources)
endif ()

target_link_libraries(kdeinit_calligraplan komain)

install(TARGETS kdeinit_calligraplan  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(calligraplan kdeinit_calligraplan komain)
install(TARGETS calligraplan  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  calligraplan.rc calligraplan_readonly.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/calligraplan)
install( PROGRAMS  org.kde.calligraplan.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  calligraplanrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES calligraplansettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES org.kde.calligraplan.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended properties
# plan_viewplugin.desktop

install(FILES
    about/top-left-plan.png
    about/main.html
    about/intro.html
    about/tips.html
    about/tutorial.html
    about/plan.css
    DESTINATION ${DATA_INSTALL_DIR}/calligraplan/about
)

=== sheets/CMakeLists.txt ===
project(calligra-sheets)

# TEMPORARY: for  Qt5/KF5 build porting phase deprecation warnings are only annoying noise
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
    add_definitions(-Wno-deprecated -Wno-deprecated-declarations)
endif ()

include_directories( ${CMAKE_SOURCE_DIR}/interfaces
                    ${KOMAIN_INCLUDES}
                    ${KOTEXT_INCLUDES}
                    ${TEXTLAYOUT_INCLUDES}
                    ${Boost_INCLUDE_DIR}
                    ${EIGEN3_INCLUDE_DIR} )

if (SHOULD_BUILD_PART_SHEETS)

# have their own translation domain
add_subdirectory( shape )
add_subdirectory( plugins )

add_definitions(-DTRANSLATION_DOMAIN=\"calligrasheets\")

add_subdirectory( data )
add_subdirectory( tests )
add_subdirectory( dtd )
add_subdirectory( functions )

#add_definitions(-DCALLIGRA_SHEETS_MT)

if(NOT Qt5Sql_FOUND)
    add_definitions(-DQT_NO_SQL)
endif()

########### next target ###############
set (chart_DIR_SRCS
    chart/ChartDatabaseSelectorFactory.cpp
    chart/ChartDatabaseSelector.cpp
    chart/ChartDialog.cpp
    )

ki18n_wrap_ui(chart_DIR_SRCS
    chart/ChartDatabaseSelector.ui
    )

set (commands_DIR_SRCS
    commands/AbstractRegionCommand.cpp
    commands/ApplyFilterCommand.cpp
    commands/AutoFillCommand.cpp
    commands/AutoFilterCommand.cpp
    commands/AutoFormatCommand.cpp
    commands/BorderColorCommand.cpp
    commands/CommentCommand.cpp
    commands/ConditionCommand.cpp
    commands/CopyCommand.cpp
    commands/CSVDataCommand.cpp
    commands/DataManipulators.cpp
    commands/DeleteCommand.cpp
    commands/IndentationCommand.cpp
    commands/LinkCommand.cpp
    commands/MergeCommand.cpp
    commands/NamedAreaCommand.cpp
    commands/PageBreakCommand.cpp
    commands/PasteCommand.cpp
    commands/PrecisionCommand.cpp
    commands/RowColumnManipulators.cpp
    commands/SheetCommands.cpp
    commands/SortManipulator.cpp
    commands/SpellCheckCommand.cpp
    commands/StyleCommand.cpp
    commands/ValidityCommand.cpp
    )

set (database_DIR_SRCS
    #database/Database.cpp
    #database/DatabaseManager.cpp
    database/DatabaseSource.cpp
    database/DatabaseSourceQuery.cpp
    database/DatabaseSourceSql.cpp
    database/DatabaseSourceTable.cpp
    #database/Filter.cpp
    database/FilterPopup.cpp
    )

set (dialogs_DIR_SRCS
    dialogs/AddNamedAreaDialog.cpp
    dialogs/AngleDialog.cpp
    dialogs/AutoFormatDialog.cpp
    dialogs/CharacterSelectDialog.cpp
    dialogs/CommentDialog.cpp
    dialogs/ConditionalDialog.cpp
    dialogs/ConsolidateDialog.cpp
    dialogs/CSVDialog.cpp
    dialogs/DatabaseDialog.cpp
    dialogs/DocumentSettingsDialog.cpp
    dialogs/FindDialog.cpp
    dialogs/FormulaDialog.cpp
    dialogs/GoalSeekDialog.cpp
    dialogs/GotoDialog.cpp
    dialogs/InsertDialog.cpp
    dialogs/LayoutDialog.cpp
    dialogs/LinkDialog.cpp
    dialogs/ListDialog.cpp
    dialogs/NamedAreaDialog.cpp
    dialogs/PasteInsertDialog.cpp
    dialogs/Resize2Dialog.cpp
    dialogs/SeriesDialog.cpp
    dialogs/ShowDialog.cpp
    dialogs/ShowColRowDialog.cpp
    dialogs/SortDialog.cpp
    dialogs/SpecialPasteDialog.cpp
    dialogs/StyleManagerDialog.cpp
    dialogs/SubtotalDialog.cpp
    dialogs/ValidityDialog.cpp
    dialogs/pivot.cpp
    dialogs/pivotfilters.cpp
    dialogs/pivotoptions.cpp
    dialogs/pivotmain.cpp

    )


ki18n_wrap_ui(dialogs_DIR_SRCS
    dialogs/ConsolidateWidget.ui
    dialogs/ConsolidateDetailsWidget.ui
    dialogs/FontWidget.ui
    dialogs/GoalSeekWidget.ui
    dialogs/PositionWidget.ui
    dialogs/ProtectionWidget.ui
    dialogs/SpecialPasteWidget.ui
    dialogs/SortWidget.ui
    dialogs/SortDetailsWidget.ui
    dialogs/SubtotalWidget.ui
    dialogs/SubtotalsDetailsWidget.ui
    dialogs/pivot.ui
    dialogs/pivotfilters.ui
    dialogs/pivotoptions.ui
    dialogs/pivotmain.ui

    )

set (functions_DIR_SRCS
    functions/helper.cpp
    )

if(Qt5DBus_FOUND)
set (interfaces_DIR_SRCS
    interfaces/MapAdaptor.cpp
    interfaces/SheetAdaptor.cpp
    interfaces/ViewAdaptor.cpp
    )
endif()

set (odf_DIR_SRCS
    odf/SheetsOdfDoc.cpp
    odf/SheetsOdfMap.cpp
    odf/SheetsOdfSheet.cpp
    odf/SheetsOdfCell.cpp
    odf/SheetsOdfStyle.cpp
    odf/SheetsOdfRegion.cpp
    odf/SheetsOdfCondition.cpp
    odf/SheetsOdfValidity.cpp
    odf/GenValidationStyle.cpp
    )

set (part_DIR_SRCS
    part/CanvasBase.cpp
    part/Canvas.cpp
    part/CanvasItem.cpp
    part/CellTool.cpp
    part/CellToolFactory.cpp
    #part/Digest.cpp
    part/Doc.cpp
    part/Part.cpp
    part/Factory.cpp
    part/Find.cpp
    part/Headers.cpp
    part/HeaderWidgets.cpp
    part/HeaderItems.cpp
    part/PrintJob.cpp
    part/ToolRegistry.cpp
    part/TabBar.cpp
    part/View.cpp
    part/commands/DefinePrintRangeCommand.cpp
    part/commands/PageLayoutCommand.cpp
    part/dialogs/PageLayoutDialog.cpp
    part/dialogs/PreferenceDialog.cpp
    part/dialogs/SheetPropertiesDialog.cpp
    part/dialogs/SheetSelectPage.cpp
)

ki18n_wrap_ui(part_DIR_SRCS
    part/dialogs/FileOptionsWidget.ui
    part/dialogs/InterfaceOptionsWidget.ui
    part/dialogs/PageLayoutSheetPage.ui
    part/dialogs/SheetPropertiesWidget.ui
    part/dialogs/SheetSelectWidget.ui
)

set (ui_DIR_SRCS
    ui/AbstractSelectionStrategy.cpp
    ui/ActionOptionWidget.cpp
    ui/AutoFillStrategy.cpp
    ui/CellEditorBase.cpp
    ui/CellEditor.cpp
    ui/CellEditorDocker.cpp
    ui/CellToolBase.cpp
    ui/CellToolBase_p.cpp
    ui/CellView.cpp
    ui/DragAndDropStrategy.cpp
    ui/FormulaEditorHighlighter.cpp
    ui/FunctionCompletion.cpp
    ui/ExternalEditor.cpp
    ui/HyperlinkStrategy.cpp
    ui/LocationComboBox.cpp
    ui/MapViewModel.cpp
    ui/MergeStrategy.cpp
    ui/PasteStrategy.cpp
    ui/PixmapCachingSheetView.cpp
    ui/RegionSelector.cpp
    ui/RightToLeftPaintingStrategy.cpp
    ui/Selection.cpp
    ui/SelectionStrategy.cpp
    ui/SheetView.cpp
)

set (calligrasheetscommon_LIB_SRCS
    MapModel.cpp
    PageManager.cpp
    RegionModel.cpp
    tests/inspector.cpp
    ${chart_DIR_SRCS}
    ${commands_DIR_SRCS}
    ${database_DIR_SRCS}
    ${dialogs_DIR_SRCS}
    ${functions_DIR_SRCS}
    ${part_DIR_SRCS}
    ${ui_DIR_SRCS}
    )

if(Qt5DBus_FOUND)
set (calligrasheetscommon_LIB_SRCS
    ${calligrasheetscommon_LIB_SRCS}
    ${interfaces_DIR_SRCS}
    )
endif()

set (calligrasheetsodf_LIB_SRCS
    SheetsDebug.cpp

    part/Digest.cpp
    ApplicationSettings.cpp
    Binding.cpp
    BindingManager.cpp
    BindingModel.cpp
    BindingStorage.cpp
    CalculationSettings.cpp
    Cell.cpp
    CellStorage.cpp
    Cluster.cpp
    Condition.cpp
    ConditionsStorage.cpp
    Currency.cpp
    Damages.cpp
    DependencyManager.cpp
    DocBase.cpp
    Format.cpp
    Formula.cpp
    HeaderFooter.cpp
    Localization.cpp
    Map.cpp
    NamedAreaManager.cpp
    Number.cpp
    PrintSettings.cpp
    ProtectableObject.cpp
    RecalcManager.cpp
    RectStorage.cpp
    Region.cpp
    RowColumnFormat.cpp
    RowFormatStorage.cpp
    RowRepeatStorage.cpp
    ShapeApplicationData.cpp
    Sheet.cpp
    SheetAccessModel.cpp
    SheetModel.cpp
    Style.cpp
    StyleManager.cpp
    StyleStorage.cpp
    Util.cpp
    Validity.cpp
    ValidityStorage.cpp
    Value.cpp
    ValueCalc.cpp
    ValueConverter.cpp
    ValueFormatter.cpp
    ValueParser.cpp

    database/Database.cpp
    database/DatabaseManager.cpp
    database/DatabaseStorage.cpp
    database/Filter.cpp

    ${odf_DIR_SRCS}

    # TODO: move the formula evaluation out of Formula.cpp so these files can move out of libcalligrasheetsodf
    Function.cpp
    FunctionDescription.cpp
    FunctionModule.cpp
    FunctionModuleRegistry.cpp
    FunctionRepository.cpp

    # TODO: move HeaderFooter from SheetPrint to PrintSettings, and replace SheetPrint with PrintSettings in Sheet to get rid of this dependency
    SheetPrint.cpp
    SheetPrint_p.cpp
    )


add_library(calligrasheetsodf SHARED ${calligrasheetsodf_LIB_SRCS})
generate_export_header(calligrasheetsodf
    EXPORT_FILE_NAME sheets_odf_generated_export.h
    BASE_NAME CALLIGRA_SHEETS_ODF
)

target_link_libraries(calligrasheetsodf
    PUBLIC
        komain
        KF5::KDELibs4Support
    PRIVATE
        koplugin
)

set_target_properties(calligrasheetsodf PROPERTIES
   VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS calligrasheetsodf ${INSTALL_TARGETS_DEFAULT_ARGS})


add_library(calligrasheetscommon SHARED ${calligrasheetscommon_LIB_SRCS})
generate_export_header(calligrasheetscommon
    EXPORT_FILE_NAME sheets_common_generated_export.h
    BASE_NAME CALLIGRA_SHEETS_COMMON
)

target_link_libraries(calligrasheetscommon
    PUBLIC
        komain
        calligrasheetsodf
    PRIVATE
        koplugin
        KF5::SonnetCore
        KF5::SonnetUi
        KF5::NotifyConfig
        KF5::KCMUtils
)
if(Qt5Sql_FOUND)
    target_link_libraries(calligrasheetscommon PRIVATE Qt5::Sql)
endif()


set_target_properties(calligrasheetscommon PROPERTIES
    VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS calligrasheetscommon  ${INSTALL_TARGETS_DEFAULT_ARGS})
########### next target ###############

set (calligrasheetspart_PART_SRCS part/Factory_init.cpp )

add_library(calligrasheetspart MODULE ${calligrasheetspart_PART_SRCS})

calligra_part_desktop_to_json(calligrasheetspart sheetspart.desktop)

target_link_libraries(calligrasheetspart calligrasheetscommon )

install(TARGETS calligrasheetspart  DESTINATION ${PLUGIN_INSTALL_DIR}/calligra/parts)

########### install files ###############

install( FILES  calligrasheets.rc calligrasheets_readonly.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/calligrasheets)
install( FILES  ui/CellToolOptionWidgets.xml DESTINATION ${DATA_INSTALL_DIR}/calligrasheets)
install( FILES  calligrasheets.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES  calligrasheetsrc DESTINATION ${CONFIG_INSTALL_DIR})

# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended
# propertiessheets_plugin.desktop, sheets_viewplugin.desktop

if (SHOULD_BUILD_DEVEL_HEADERS)

install( FILES
    sheets_odf_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/sheets_odf_generated_export.h
    sheets_common_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/sheets_common_generated_export.h

    calligra_sheets_limits.h

    Cell.h
    CellStorage.h
    Condition.h
    Currency.h
    DocBase.h
    Format.h
    Global.h
    Map.h
    Number.h
    odf/OdfLoadingContext.h
    PointStorage.h
    PrintSettings.h
    ProtectableObject.h
    RectStorage.h
    Region.h
    RowColumnFormat.h
    RowFormatStorage.h
    RTree.h
    Sheet.h
    Style.h
    Value.h
    ValueCalc.h
    ValueConverter.h
    ValueStorage.h
DESTINATION ${INCLUDE_INSTALL_DIR}/sheets COMPONENT Devel)
install( FILES
    part/CanvasBase.h
    part/CanvasItem.h
    part/CellTool.h
    part/Doc.h
    part/Part.h
    part/Find.h
    part/HeaderItems.h
    part/Headers.h
    part/ToolRegistry.h
    part/View.h
DESTINATION ${INCLUDE_INSTALL_DIR}/calligrasheets/part COMPONENT Devel)
install( FILES
    ui/CellToolBase.h
    ui/CellEditorBase.h
    ui/Selection.h
    ui/SheetView.h
DESTINATION ${INCLUDE_INSTALL_DIR}/calligrasheets/ui COMPONENT Devel)
install( FILES
    database/Database.h
    database/Filter.h
DESTINATION ${INCLUDE_INSTALL_DIR}/calligrasheets/database COMPONENT Devel)
install( FILES
    commands/AbstractRegionCommand.h
    commands/DataManipulators.h
    commands/SortManipulator.h
    dialogs/pivot.h
    dialogs/pivotfilters.h
    dialogs/pivotoptions.h
    dialogs/pivotmain.h
DESTINATION ${INCLUDE_INSTALL_DIR}/calligrasheets/commands COMPONENT Devel)

endif()

endif ()

########### APP ###############

if (SHOULD_BUILD_APP_SHEETS)

set (calligrasheets_KDEINIT_SRCS part/Main.cpp )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/data/pics/*-apps-calligrasheets.png")
ecm_add_app_icon(calligrasheets_KDEINIT_SRCS ICONS ${ICONS_SRCS})

kf5_add_kdeinit_executable( calligrasheets ${calligrasheets_KDEINIT_SRCS})

if (APPLE)

=== tests/CMakeLists.txt ===

find_program(BASH_PROGRAM bash)
find_program(XGETTEXT_PROGRAM xgettext)
find_program(MSGCAT_PROGRAM msgcat)

if (BASH_PROGRAM AND XGETTEXT_PROGRAM AND MSGCAT_PROGRAM)
    macro(CALLIGRA_ADD_UNIT_TEST _TEST_NAME)
        add_custom_target(${_TEST_NAME} ALL
            COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/${_TEST_NAME}.cpp" "${CMAKE_CURRENT_BINARY_DIR}/${_TEST_NAME}.cpp"
            COMMENT "Copy test files" VERBATIM
        )
        add_test(${_TEST_NAME} ${BASH_PROGRAM} "${CMAKE_CURRENT_SOURCE_DIR}/${_TEST_NAME}.sh" 
                                "${CMAKE_SOURCE_DIR}/kundo2_aware_xgettext.sh"
                                "${XGETTEXT_PROGRAM}"
                                "${MSGCAT_PROGRAM}"
                                "${CMAKE_CURRENT_BINARY_DIR}/po"
        )
    endmacro()

    # create the podir
    add_custom_target(podir ALL
        COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/po
        COMMENT "Create podir" VERBATIM)
    # copy parameters script
    add_custom_target(parameters ALL
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/parameters.sh ${CMAKE_CURRENT_BINARY_DIR}/parameters.sh
        COMMENT "Copy parameters script" VERBATIM)

    # add tests here
    CALLIGRA_ADD_UNIT_TEST(test_i18n)
    CALLIGRA_ADD_UNIT_TEST(test_i18nc)
    CALLIGRA_ADD_UNIT_TEST(test_i18np)
    CALLIGRA_ADD_UNIT_TEST(test_i18nc_long)
    CALLIGRA_ADD_UNIT_TEST(test_i18n_noop)
    CALLIGRA_ADD_UNIT_TEST(test_i18n_noop2)

    CALLIGRA_ADD_UNIT_TEST(test_xi18n)
    CALLIGRA_ADD_UNIT_TEST(test_xi18nc)
    CALLIGRA_ADD_UNIT_TEST(test_xi18nc_long)
    CALLIGRA_ADD_UNIT_TEST(test_xi18np)
    CALLIGRA_ADD_UNIT_TEST(test_xi18ncp)

    CALLIGRA_ADD_UNIT_TEST(test_kundo2_i18n)
    CALLIGRA_ADD_UNIT_TEST(test_kundo2_i18nc)
    CALLIGRA_ADD_UNIT_TEST(test_kundo2_i18nc_long)

    # add test of Messages.sh
    add_test(test_Messages ${BASH_PROGRAM} "${CMAKE_CURRENT_SOURCE_DIR}/test_messages.sh" "${CMAKE_SOURCE_DIR}")
endif()

=== devtools/cstester/CMakeLists.txt ===
add_subdirectory(visualimagecompare)
add_subdirectory(cstrunner)

configure_file(config_cstester.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config_cstester.h)

include_directories(
    ${KOMAIN_INCLUDES}
    ${KOPAGEAPP_INCLUDES}
    ${CMAKE_SOURCE_DIR}/sheets
    ${CMAKE_SOURCE_DIR}/words/part
    ${CMAKE_SOURCE_DIR}/karbon/ui
)

set(cstester_SRCS
    CSThumbProviderStage.cpp
    CSThumbProviderTables.cpp
    CSThumbProviderWords.cpp
    cstester.cpp )

if(SHOULD_BUILD_KARBON)
    set(cstester_SRCS ${cstester_SRCS}
        CSThumbProviderKarbon.cpp)
endif()

add_executable(cstester ${cstester_SRCS})

target_link_libraries(cstester komain kopageapp koplugin calligrasheetscommon wordsprivate)
if(SHOULD_BUILD_KARBON)
    target_link_libraries(cstester karbonui)
endif()

install(TARGETS cstester  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== doc/calligra/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR calligra)

=== extras/converter/CMakeLists.txt ===
include_directories(${KOMAIN_INCLUDES})

set(calligraconverter_SRCS calligraconverter.cpp)

add_executable(calligraconverter ${calligraconverter_SRCS})
ecm_mark_nongui_executable(calligraconverter)

target_link_libraries(calligraconverter komain)

install(TARGETS calligraconverter ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
calligra (1:3.0.1-0ubuntu4) bionic; urgency=medium

  * No change rebuild against Okular 17.12

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Feb 2018 01:14:57 +0000

calligra (1:3.0.1-0ubuntu3) artful; urgency=medium

  * Only build with optional KDE apps *contact-dev on amd64, i386 and
    armhf. Lack of QtWebEngine for other architectures means compatible
    contact libraries are not built in new KDE applications 16.12 on
    those.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Aug 2017 01:18:33 +0100

calligra (1:3.0.1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:09:01 +0000

calligra (1:3.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (3.0.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 04 Apr 2017 07:46:55 +0000

calligra (1:3.0.0.1-0ubuntu3) zesty; urgency=medium

  * Relax generated depends for calligrasheets to ease migration.
    On current builds only affects depends on unsupported s390x
    architecture.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Mar 2017 01:46:27 +0000

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,9 @@
                libkchart-dev,
                libkf5activities-dev,
                libkf5akonadi-dev,
-               libkf5akonadicontact-dev,
+               libkf5akonadicontact-dev [amd64 i386 armhf],
                libkf5calendarcore-dev,
-               libkf5contacts-dev,
+               libkf5contacts-dev [amd64 i386 armhf],
                libkf5coreaddons-dev,
                libkf5dbusaddons-dev,
                libkf5doctools-dev,
@@ -144,6 +144,7 @@
         koffice-data (<< 1:2.4),
         kspread (<< 1:2.4)
 Depends: calligra-libs (= ${binary:Version}),
+         libgcc1 (>= 1:4.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: khelpcenter
@@ -319,6 +320,3 @@
         calligra-l10n-pl,
         calligra-l10n-pt,
         calligra-l10n-ptbr,
-        calligra-l10n-ru,
-        calligra-l10n-sk,
-        calligra-l10n-sv,

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,10 @@
 override_dh_install:
 	dh_install --list-missing
 
+override_dh_shlibdeps:
+	$(overridden_command) -pcalligrasheets -- -xlibgcc1
+	$(overridden_command) --remaining-packages
+
 override_dh_strip:
 	dh_strip --dbgsym-migration='calligra-dbg (<< 1:2.9.11)'

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/calligra/([\d.]+)/calligra-([\d.]+).tar.xz
